'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = transformIntoStyleSheetObject;

var _assert = require('assert');

var _assert2 = _interopRequireDefault(_assert);

var _babelCore = require('babel-core');

var _transformObjectExpressionIntoStyleSheetObject = require('./transformObjectExpressionIntoStyleSheetObject');

var _transformObjectExpressionIntoStyleSheetObject2 = _interopRequireDefault(_transformObjectExpressionIntoStyleSheetObject);

var _transformFunctionExpressionIntoStyleSheetObject = require('./transformFunctionExpressionIntoStyleSheetObject');

var _transformFunctionExpressionIntoStyleSheetObject2 = _interopRequireDefault(_transformFunctionExpressionIntoStyleSheetObject);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function transformIntoStyleSheetObject(expr, context, transformOptions) {
  if (_babelCore.types.isFunctionExpression(expr) || _babelCore.types.isArrowFunctionExpression(expr)) {
    return (0, _transformFunctionExpressionIntoStyleSheetObject2.default)(expr, context, transformOptions);
  } else if (_babelCore.types.isObjectExpression(expr)) {
    return (0, _transformObjectExpressionIntoStyleSheetObject2.default)(expr, context);
  }

  (0, _assert2.default)(false, 'must be an object expression or a function expression');
}
module.exports = exports['default'];
